Subject: Re: bug#56259: 29.0.50; Illegal -layoutSubtreeIfNeeded on NS

From: Po Lu <[email-masked]>
Date: Tue, 28 Jun 2022 09:24:57 +0800

Gerd Möllmann <[email-masked]> writes:

> On macOS 12.4, selecting Options -> Set Default Font from the menu bar 
> reproducibly prints a message to the terminal:
>
> emacs[76309:7042282] It's not legal to call -layoutSubtreeIfNeeded on
> a view which is already being laid out.  If you are implementing the
> view's -layout method, you can call -[super layout] instead. Break on
> void _NSDetectedLayoutRecursion(void) to debug.  This will be logged
> only once.  This may break in the future.
>
> Hopefully nobody get's sued because of that illegal action...

I get the feeling this is one of Apple's bugs, since it happens to every
program's fonts panel, including those that come with Mac OS.

So let's sue Apple!